This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010016 - node sync triggers node certificate to be displayed in agent.log and pulp.log
node sync triggers node certificate to be displayed in agent.log and pulp.log
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
Master
Unspecified Unspecified
high Severity unspecified
: ---
: 2.3.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 13:26 EDT by Preethi Thomas
Modified: 2013-12-09 09:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-09-19 13:26:13 EDT
Description of problem:
When you run node sync, you can see that the node certificate is being displayed in pulp.log and aget.log

Version-Release number of selected component (if applicable):
[root@pulp-v2-server ~]# rpm -q pulp-nodes-parent
pulp-nodes-parent-2.3.0-0.14.alpha.el6.noarch

[root@pulp-v2-node ~]# rpm -q pulp-consumer-client
pulp-consumer-client-2.3.0-0.14.alpha.fc18.noarch
[root@pulp-v2-node ~]# 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

From agent.log

2013-09-19 14:32:44,004 [INFO][worker-0] dispatch() @ dispatcher.py:631 - request: {'classname': 'Content', 'kws': {}, 'args': [[{'unit_key': None, 'type_id': 'node'}], {'parent_settings': {'host': 'pulp-v2-server.usersys.redhat.com', 'node_certificate': '-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEApa7FuELT27Jb8Zd2JEFMCU14V8K13KwjRBjiWeV735qWg8gk\ncdbOBKAt6pIZ2MJYkVAdh0ClKMRys/KzDqwSWnMEgppv+QoEI4X1F3sDLMIujcBP\nJs11cmVUNVtoMYCjNuDgHRNu2hTE4XnTDuOdO2U9PEFtpMS4041SGvqvrrvyLuii\n66LmVngvRBBpZhzuvM2zVjyd36RlngtaRIInwwfMy4/mrBj86WAUWE3aaHgBD93h\n6tFr6mapVERnIQTsL7ywx++QpVtdeTJ4o/PvCKlS0+FRtJee8HHq7riGYVCWXsPZ\n/qfhOT8ckF+G20vfJW6urSz1fEVBtTY2cbiy0wIDAQABAoIBAQCkushLE+agoQ1Z\nf0YvddyrwyLL3wQCjAPkSPmEd+5Zu9G65NuXdAMSBlCg0PJx2YlFsWoqd9O+XNPO\nppfxFpSI6aKqV/LMoXDMAPxWhC/76HVw6qvH4K/NNYIsKt3Fmiis/5jUT+X/XncB\n16ZJP3WtAFOJ/WOOVymM7Q2dVXInP4ywJJkEBNHwBdzhq4HXbpSarioCsz8O+Wm9\n+dLeRpAPGL0pmlrP1dWnxN/P6D3KTnV8q2CJd0nKcVj3B0JIK8YnzSUqDf+9sxph\nTAYDupmXCSKJ0dIlQXFlmQ0STwxjEc+VlghAiW4Es4nOsQ2ykbPWpOOjR39aTnds\nOzbnCunBAoGBANoMCOklduE7Le/SVEz/aSOnBQQB2sKlKlOpKPCciCKV1zTnkgIf\n8Nnyl5LbkFG93iNyTPSdg4mccNQl+ZUP2lB2F6b94P/ZDwILGlal8wpNdPcG9F1w\nnAz27FP81V1RIuvGtjWxkwzauJJy0OrTGv+V3HKvYVSj1nLWPTWbiWC1AoGBAMKF\nbzNYHIhnShJH3jsAtZGoLO3fYL/YCQMvzWHshUNa2t24NhKlrPiS600C4oFFMKtQ\njvU0EP2cVc68c2RYlXJRQGkGvIaBe6DHjR6BIN5gPAV7MIuTJD8QtTIyjgVRj3+h\njfr1yvFK4B8uREp8zL4WDwkCv8TLbePLAQmAp+JnAoGARMwjS5y8g5guiEquupSj\n0dHy7S7AnUWLs1XeSvy4n2DzxAeEtBLr5Xh7hqSsRn5Hxptb2JqSVCr+FpHcy8Fy\nuoxoLhJQmakc6SIjr08w/gEudHrHQ2wycIzASEev8n+VKxtJhmt+4EFqlxqO/Gib\nTiU0pyLa7N+83ALo0S9ACzkCgYBPdlrayp+9SRSFKz6pM7z4Z48TDTFkrUfhOWHZ\nItm9jhvifyH3tB5Y3QuqRgdpb25WTW5Y1JAsSfTzoyAwWc+TB4YcYVgaSkLKhzoq\nv+1BamaahpxqKA2ihZy/iM9jdNH9/W0Wm9nvf/rWQfw7wYeSD0jNEYZtSfz2FTOz\nQg9S+QKBgBALidi7E1Ikz8D+6FbtK4u8NNGmWNP+JkfWMJJsA/JeJ1uXDbDCNPh4\nsn3UsmSsPWTQ3HyWWNGkOqMUqd4r0D4eR5vHki/KQRJY/knAIAkdgquiJyC6evOp\neb/ZiBMLwNYH0t+FnJ9Nxh0nYByb15NhXucs1wTbqqf8g3iocZkq\n-----END RSA PRIVATE KEY-----\n-----BEGIN CERTIFICATE-----\nMIIC1DCCAbwCAj35MA0GCSqGSIb3DQEBBQUAMBQxEjAQBgNVBAMTCWxvY2FsaG9z\ndDAeFw0xMzA5MTkxNjMyMjhaFw0yMzA5MTcxNjMyMjhaMEsxKjAoBgNVBAMMIXB1\nbHAtdjItc2VydmVyLnVzZXJzeXMucmVkaGF0LmNvbTENMAsGA1UECgwEUFVMUDEO\nMAwGA1UECwwFTk9ERVMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCl\nrsW4QtPbslvxl3YkQUwJTXhXwrXcrCNEGOJZ5XvfmpaDyCRx1s4EoC3qkhnYwliR\nUB2HQKUoxHKz8rMOrBJacwSCmm/5CgQjhfUXewMswi6NwE8mzXVyZVQ1W2gxgKM2\n4OAdE27aFMThedMO4507ZT08QW2kxLjTjVIa+q+uu/Iu6KLrouZWeC9EEGlmHO68\nzbNWPJ3fpGWeC1pEgifDB8zLj+asGPzpYBRYTdpoeAEP3eHq0WvqZqlURGchBOwv\nvLDH75ClW115Mnij8+8IqVLT4VG0l57wceruuIZhUJZew9n+p+E5PxyQX4bbS98l\nbq6tLPV8RUG1NjZxuLLTAgMBAAEwDQYJKoZIhvcNAQEFBQADggEBAJ63jsCwREXo\nZkXzje3/SJ2g4W90oyLIjCmC9EXNJ9ln8DcKOikwRoBJJRgT1LceKJ449JQMGAbQ\n1dAM9H/kR+23F4XAUp5JABRin+gtn76uxafqrzV0y4RyRwmd+dJc89io3jG0AQyC\nOmKVZOHi9bb/d2hhGTNrHkD81mdR5hlx4FZwAIs+BKhoiSB/1oyS3TPwlouqWNmv\nRYXgsdT4N4YLAwWxaroXojvcfyRz5PPGJRnlB/UbW0+LqT8+4WMUfpMFTz9dke4P\nLvlzn2BHcpseqbV85f7Q1gaMcLpMTTScPlToeZssWsrTDa38kEvYmw9jenOJvTAd\nvRSethv4PfM=\n-----END CERTIFICATE-----\n', 'port': 443}, 'max_download_concurrency': None, 'max_download_bandwidth': None}], 'method': 'update', 'cntr': None}
2013-09-19 14:32:44,085 [ERROR][worker-0] update() @ dispatcher.py:112 - handler failed
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 108, in update
    report = handler.update(conduit, units, dict(options))
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/handler.py", line 88, in update
    bindings = RepositoryBinding.fetch_all(pulp_bindings, conduit.consumer_id)
  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 511, in fetch_all
    http = bindings.bind.find_by_id(node_id)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/consumer.py", line 154, in find_by_id
    return self.server.GET(path)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 100, in GET
    return self._request('GET', path, queries)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 158, in _request
    self._handle_exceptions(response_code, response_body)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 199, in _handle_exceptions
    raise code_class_mappings[response_code](response_body)
PermissionsException: RequestException: GET request on /pulp/api/v2/consumers/node1/bindings/ failed with 401 - Pulp exception occurred: AuthenticationFailed
2013-09-19 14:32:44,087 [INFO][worker-0] sendreply() @ rmi.py:172 - 09d0d1cc-956b-44e7-ae10-2c5cb5c17c3e processed in: 103 (ms)



From pulp.log


2013-09-19 14:39:42,741 gofer.rmi.policy:INFO: sent (node1):
{'classname': 'Content', 'kws': {}, 'args': ([{'unit_key': None, 'type_id': 'node'}], {'parent_settings': {'host': 'pulp-v2-server.usersys.redhat.com', 'node_certificate': '-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEApa7FuELT27Jb8Zd2JEFMCU14V8K13KwjRBjiWeV735qWg8gk\ncdbOBKAt6pIZ2MJYkVAdh0ClKMRys/KzDqwSWnMEgppv+QoEI4X1F3sDLMIujcBP\nJs11cmVUNVtoMYCjNuDgHRNu2hTE4XnTDuOdO2U9PEFtpMS4041SGvqvrrvyLuii\n66LmVngvRBBpZhzuvM2zVjyd36RlngtaRIInwwfMy4/mrBj86WAUWE3aaHgBD93h\n6tFr6mapVERnIQTsL7ywx++QpVtdeTJ4o/PvCKlS0+FRtJee8HHq7riGYVCWXsPZ\n/qfhOT8ckF+G20vfJW6urSz1fEVBtTY2cbiy0wIDAQABAoIBAQCkushLE+agoQ1Z\nf0YvddyrwyLL3wQCjAPkSPmEd+5Zu9G65NuXdAMSBlCg0PJx2YlFsWoqd9O+XNPO\nppfxFpSI6aKqV/LMoXDMAPxWhC/76HVw6qvH4K/NNYIsKt3Fmiis/5jUT+X/XncB\n16ZJP3WtAFOJ/WOOVymM7Q2dVXInP4ywJJkEBNHwBdzhq4HXbpSarioCsz8O+Wm9\n+dLeRpAPGL0pmlrP1dWnxN/P6D3KTnV8q2CJd0nKcVj3B0JIK8YnzSUqDf+9sxph\nTAYDupmXCSKJ0dIlQXFlmQ0STwxjEc+VlghAiW4Es4nOsQ2ykbPWpOOjR39aTnds\nOzbnCunBAoGBANoMCOklduE7Le/SVEz/aSOnBQQB2sKlKlOpKPCciCKV1zTnkgIf\n8Nnyl5LbkFG93iNyTPSdg4mccNQl+ZUP2lB2F6b94P/ZDwILGlal8wpNdPcG9F1w\nnAz27FP81V1RIuvGtjWxkwzauJJy0OrTGv+V3HKvYVSj1nLWPTWbiWC1AoGBAMKF\nbzNYHIhnShJH3jsAtZGoLO3fYL/YCQMvzWHshUNa2t24NhKlrPiS600C4oFFMKtQ\njvU0EP2cVc68c2RYlXJRQGkGvIaBe6DHjR6BIN5gPAV7MIuTJD8QtTIyjgVRj3+h\njfr1yvFK4B8uREp8zL4WDwkCv8TLbePLAQmAp+JnAoGARMwjS5y8g5guiEquupSj\n0dHy7S7AnUWLs1XeSvy4n2DzxAeEtBLr5Xh7hqSsRn5Hxptb2JqSVCr+FpHcy8Fy\nuoxoLhJQmakc6SIjr08w/gEudHrHQ2wycIzASEev8n+VKxtJhmt+4EFqlxqO/Gib\nTiU0pyLa7N+83ALo0S9ACzkCgYBPdlrayp+9SRSFKz6pM7z4Z48TDTFkrUfhOWHZ\nItm9jhvifyH3tB5Y3QuqRgdpb25WTW5Y1JAsSfTzoyAwWc+TB4YcYVgaSkLKhzoq\nv+1BamaahpxqKA2ihZy/iM9jdNH9/W0Wm9nvf/rWQfw7wYeSD0jNEYZtSfz2FTOz\nQg9S+QKBgBALidi7E1Ikz8D+6FbtK4u8NNGmWNP+JkfWMJJsA/JeJ1uXDbDCNPh4\nsn3UsmSsPWTQ3HyWWNGkOqMUqd4r0D4eR5vHki/KQRJY/knAIAkdgquiJyC6evOp\neb/ZiBMLwNYH0t+FnJ9Nxh0nYByb15NhXucs1wTbqqf8g3iocZkq\n-----END RSA PRIVATE KEY-----\n-----BEGIN CERTIFICATE-----\nMIIC1DCCAbwCAj35MA0GCSqGSIb3DQEBBQUAMBQxEjAQBgNVBAMTCWxvY2FsaG9z\ndDAeFw0xMzA5MTkxNjMyMjhaFw0yMzA5MTcxNjMyMjhaMEsxKjAoBgNVBAMMIXB1\nbHAtdjItc2VydmVyLnVzZXJzeXMucmVkaGF0LmNvbTENMAsGA1UECgwEUFVMUDEO\nMAwGA1UECwwFTk9ERVMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCl\nrsW4QtPbslvxl3YkQUwJTXhXwrXcrCNEGOJZ5XvfmpaDyCRx1s4EoC3qkhnYwliR\nUB2HQKUoxHKz8rMOrBJacwSCmm/5CgQjhfUXewMswi6NwE8mzXVyZVQ1W2gxgKM2\n4OAdE27aFMThedMO4507ZT08QW2kxLjTjVIa+q+uu/Iu6KLrouZWeC9EEGlmHO68\nzbNWPJ3fpGWeC1pEgifDB8zLj+asGPzpYBRYTdpoeAEP3eHq0WvqZqlURGchBOwv\nvLDH75ClW115Mnij8+8IqVLT4VG0l57wceruuIZhUJZew9n+p+E5PxyQX4bbS98l\nbq6tLPV8RUG1NjZxuLLTAgMBAAEwDQYJKoZIhvcNAQEFBQADggEBAJ63jsCwREXo\nZkXzje3/SJ2g4W90oyLIjCmC9EXNJ9ln8DcKOikwRoBJJRgT1LceKJ449JQMGAbQ\n1dAM9H/kR+23F4XAUp5JABRin+gtn76uxafqrzV0y4RyRwmd+dJc89io3jG0AQyC\nOmKVZOHi9bb/d2hhGTNrHkD81mdR5hlx4FZwAIs+BKhoiSB/1oyS3TPwlouqWNmv\nRYXgsdT4N4YLAwWxaroXojvcfyRz5PPGJRnlB/UbW0+LqT8+4WMUfpMFTz9dke4P\nLvlzn2BHcpseqbV85f7Q1gaMcLpMTTScPlToeZssWsrTDa38kEvYmw9jenOJvTAd\nvRSethv4PfM=\n-----END CERTIFICATE-----\n', 'port': 443}, 'max_download_bandwidth': None, 'max_download_concurrency': None}), 'method': 'update', 'cntr': None}
2013-09-19 14:39:42,742 gofer.rmi.async:INFO: tracking: {'replyto': 'pulp.task;{create:always,node:{type:queue,durable:True,},link:{durable:True,reliability:at-least-once,x-subscribe:{exclusive:True}}}', 'ts': (1379616012.7422781, 1379659182.7422781), 'any': '901ee0d3-8331-48bc-8d66-7d6bd3fc4e64', 'idx': 0, 'sn': '7acaae26-f197-4740-8225-cb8a101eefdd'}
2013-09-19 14:39:42,781 gofer.rmi.async:INFO: 7acaae26-f197-4740-8225-cb8a101eefdd
2013-09-19 14:39:42,829 pulp.server.webservices.middleware.exception:ERROR: Pulp exception occurred: AuthenticationFailed
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/exception.py", line 44, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/middleware/postponed.py", line 39, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.6/site-packages/web/application.py", line 279, in wsgi
    result = self.handle_with_processors()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 26, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/web/application.py", line 566, in processor
    return handler()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/web/application.py", line 581, in processor
    result = handler()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 25, in process
    return self.handle()
  File "/usr/lib/python2.6/site-packages/web/application.py", line 230, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.6/site-packages/web/application.py", line 422, in _delegate
    return f()
  File "/usr/lib/python2.6/site-packages/web/application.py", line 430, in <lambda>
    f = lambda: self._delegate_sub_application(pat, what)
  File "/usr/lib/python2.6/site-packages/web/application.py", line 455, in _delegate_sub_application
    return app.handle_with_processors()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 26, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/web/application.py", line 566, in processor
    return handler()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/web/application.py", line 581, in processor
    result = handler()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 23, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/application.py", line 25, in process
    return self.handle()
  File "/usr/lib/python2.6/site-packages/web/application.py", line 230, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.6/site-packages/web/application.py", line 405, in _delegate
    return handle_class(f)
  File "/usr/lib/python2.6/site-packages/web/application.py", line 396, in handle_class
    return tocall(*args)
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/decorators.py", line 192, in _auth_decorator
    userid, is_consumer = authenticate_user()
  File "/usr/lib/python2.6/site-packages/pulp/server/webservices/controllers/decorators.py", line 111, in oauth_authentication
    raise AuthenticationFailed(auth_utils.CODE_INVALID_SSL_CERT)
AuthenticationFailed: Pulp exception occurred: AuthenticationFailed
2013-09-19 14:39:42,843 gofer.rmi.async:INFO: 7acaae26-f197-4740-8225-cb8a101eefdd
2013-09-19 14:39:42,844 pulp.server.agent.direct.services:INFO: Task RMI (succeeded)
Succeeded
  sn : 7acaae26-f197-4740-8225-cb8a101eefdd
  origin : b1e98b4d-2848-45db-ac49-06b1e50586ef
  user data : 901ee0d3-8331-48bc-8d66-7d6bd3fc4e64
  retval:
{'details': {'node': {'details': {'message': 'RequestException: GET request on /pulp/api/v2/consumers/node1/bindings/ failed with 401 - Pulp exception occurred: AuthenticationFailed', 'trace': 'Traceback (most recent call last):\n\n  File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 108, in update\n    report = handler.update(conduit, units, dict(options))\n\n  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/handler.py", line 88, in update\n    bindings = RepositoryBinding.fetch_all(pulp_bindings, conduit.consumer_id)\n\n  File "/usr/lib/python2.7/site-packages/pulp_node/handlers/model.py", line 511, in fetch_all\n    http = bindings.bind.find_by_id(node_id)\n\n  File "/usr/lib/python2.7/site-packages/pulp/bindings/consumer.py", line 154, in find_by_id\n    return self.server.GET(path)\n\n  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 100, in GET\n    return self._request(\'GET\', path, queries)\n\n  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 158, in _request\n    self._handle_exceptions(response_code, response_body)\n\n  File "/usr/lib/python2.7/site-packages/pulp/bindings/server.py", line 199, in _handle_exceptions\n    raise code_class_mappings[response_code](response_body)\n\nPermissionsException: RequestException: GET request on /pulp/api/v2/consumers/node1/bindings/ failed with 401 - Pulp exception occurred: AuthenticationFailed\n'}, 'succeeded': False}}, 'num_changes': 0, 'succeeded': False, 'reboot': {'scheduled': False, 'details': {}}}
2013-09-19 14:39:42,844 pulp.server.dispatch.task:INFO: SUCCESS: Task 901ee0d3-8331-48bc-8d66-7d6bd3fc4e64: CallRequest: AgentManager.update_content(u'node1', units=[{'unit_key': None, 'type_id': 'node'}], options={'parent_settings': {'host': 'pulp-v2-server.usersys.redhat.com', 'node_certificate': '-----BEGIN RSA PRIVATE KEY-----\nMIIEowIBAAKCAQEApa7FuELT27Jb8Zd2JEFMCU14V8K13KwjRBjiWeV735qWg8gk\ncdbOBKAt6pIZ2MJYkVAdh0ClKMRys/KzDqwSWnMEgppv+QoEI4X1F3sDLMIujcBP\nJs11cmVUNVtoMYCjNuDgHRNu2hTE4XnTDuOdO2U9PEFtpMS4041SGvqvrrvyLuii\n66LmVngvRBBpZhzuvM2zVjyd36RlngtaRIInwwfMy4/mrBj86WAUWE3aaHgBD93h\n6tFr6mapVERnIQTsL7ywx++QpVtdeTJ4o/PvCKlS0+FRtJee8HHq7riGYVCWXsPZ\n/qfhOT8ckF+G20vfJW6urSz1fEVBtTY2cbiy0wIDAQABAoIBAQCkushLE+agoQ1Z\nf0YvddyrwyLL3wQCjAPkSPmEd+5Zu9G65NuXdAMSBlCg0PJx2YlFsWoqd9O+XNPO\nppfxFpSI6aKqV/LMoXDMAPxWhC/76HVw6qvH4K/NNYIsKt3Fmiis/5jUT+X/XncB\n16ZJP3WtAFOJ/WOOVymM7Q2dVXInP4ywJJkEBNHwBdzhq4HXbpSarioCsz8O+Wm9\n+dLeRpAPGL0pmlrP1dWnxN/P6D3KTnV8q2CJd0nKcVj3B0JIK8YnzSUqDf+9sxph\nTAYDupmXCSKJ0dIlQXFlmQ0STwxjEc+VlghAiW4Es4nOsQ2ykbPWpOOjR39aTnds\nOzbnCunBAoGBANoMCOklduE7Le/SVEz/aSOnBQQB2sKlKlOpKPCciCKV1zTnkgIf\n8Nnyl5LbkFG93iNyTPSdg4mccNQl+ZUP2lB2F6b94P/ZDwILGlal8wpNdPcG9F1w\nnAz27FP81V1RIuvGtjWxkwzauJJy0OrTGv+V3HKvYVSj1nLWPTWbiWC1AoGBAMKF\nbzNYHIhnShJH3jsAtZGoLO3fYL/YCQMvzWHshUNa2t24NhKlrPiS600C4oFFMKtQ\njvU0EP2cVc68c2RYlXJRQGkGvIaBe6DHjR6BIN5gPAV7MIuTJD8QtTIyjgVRj3+h\njfr1yvFK4B8uREp8zL4WDwkCv8TLbePLAQmAp+JnAoGARMwjS5y8g5guiEquupSj\n0dHy7S7AnUWLs1XeSvy4n2DzxAeEtBLr5Xh7hqSsRn5Hxptb2JqSVCr+FpHcy8Fy\nuoxoLhJQmakc6SIjr08w/gEudHrHQ2wycIzASEev8n+VKxtJhmt+4EFqlxqO/Gib\nTiU0pyLa7N+83ALo0S9ACzkCgYBPdlrayp+9SRSFKz6pM7z4Z48TDTFkrUfhOWHZ\nItm9jhvifyH3tB5Y3QuqRgdpb25WTW5Y1JAsSfTzoyAwWc+TB4YcYVgaSkLKhzoq\nv+1BamaahpxqKA2ihZy/iM9jdNH9/W0Wm9nvf/rWQfw7wYeSD0jNEYZtSfz2FTOz\nQg9S+QKBgBALidi7E1Ikz8D+6FbtK4u8NNGmWNP+JkfWMJJsA/JeJ1uXDbDCNPh4\nsn3UsmSsPWTQ3HyWWNGkOqMUqd4r0D4eR5vHki/KQRJY/knAIAkdgquiJyC6evOp\neb/ZiBMLwNYH0t+FnJ9Nxh0nYByb15NhXucs1wTbqqf8g3iocZkq\n-----END RSA PRIVATE KEY-----\n-----BEGIN CERTIFICATE-----\nMIIC1DCCAbwCAj35MA0GCSqGSIb3DQEBBQUAMBQxEjAQBgNVBAMTCWxvY2FsaG9z\ndDAeFw0xMzA5MTkxNjMyMjhaFw0yMzA5MTcxNjMyMjhaMEsxKjAoBgNVBAMMIXB1\nbHAtdjItc2VydmVyLnVzZXJzeXMucmVkaGF0LmNvbTENMAsGA1UECgwEUFVMUDEO\nMAwGA1UECwwFTk9ERVMwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCl\nrsW4QtPbslvxl3YkQUwJTXhXwrXcrCNEGOJZ5XvfmpaDyCRx1s4EoC3qkhnYwliR\nUB2HQKUoxHKz8rMOrBJacwSCmm/5CgQjhfUXewMswi6NwE8mzXVyZVQ1W2gxgKM2\n4OAdE27aFMThedMO4507ZT08QW2kxLjTjVIa+q+uu/Iu6KLrouZWeC9EEGlmHO68\nzbNWPJ3fpGWeC1pEgifDB8zLj+asGPzpYBRYTdpoeAEP3eHq0WvqZqlURGchBOwv\nvLDH75ClW115Mnij8+8IqVLT4VG0l57wceruuIZhUJZew9n+p+E5PxyQX4bbS98l\nbq6tLPV8RUG1NjZxuLLTAgMBAAEwDQYJKoZIhvcNAQEFBQADggEBAJ63jsCwREXo\nZkXzje3/SJ2g4W90oyLIjCmC9EXNJ9ln8DcKOikwRoBJJRgT1LceKJ449JQMGAbQ\n1dAM9H/kR+23F4XAUp5JABRin+gtn76uxafqrzV0y4RyRwmd+dJc89io3jG0AQyC\nOmKVZOHi9bb/d2hhGTNrHkD81mdR5hlx4FZwAIs+BKhoiSB/1oyS3TPwlouqWNmv\nRYXgsdT4N4YLAwWxaroXojvcfyRz5PPGJRnlB/UbW0+LqT8+4WMUfpMFTz9dke4P\nLvlzn2BHcpseqbV85f7Q1gaMcLpMTTScPlToeZssWsrTDa38kEvYmw9jenOJvTAd\nvRSethv4PfM=\n-----END CERTIFICATE-----\n', 'port': 443}, 'max_download_bandwidth': None, 'max_download_concurrency': None})
Comment 1 Jeff Ortel 2013-10-01 15:28:05 EDT
https://github.com/pulp/pulp/pull/646
Comment 2 Jeff Ortel 2013-10-11 11:25:51 EDT
build: 2.3.0-0.18.beta
Comment 3 Preethi Thomas 2013-10-17 08:11:32 EDT
verified

certificate is not displayed in pulp.log or agent.log
Comment 4 Preethi Thomas 2013-12-09 09:30:04 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.